function BBar_Search(event, type)
{
	// Create a few variables
	var URL = "";
	var isEmpty = false;

	// Get a handle to our search terms box
	var searchTermsBox = document.getElementById("BBar-SearchTerms");
    
	// Get the value in the search terms box, trimming whitespace as necessary
	var searchTerms = BBar_TrimString(searchTermsBox.value);

	// If there are no search terms, than we set isEmpty to true
	// Otherwise, we convert the search terms to a safe URI version
	if(searchTerms.length == 0) { isEmpty = true; }
	else { searchTerms = BBar_ConvertTermsToURI(searchTerms); }

	// Do something different for differing search types
	switch(type)
	{
	// Build up the URL for an image search
	
	
	case "profiles":
		if(isEmpty) { URL = "http://www.blogger.com/profile-find.g"; }
		else		{ URL = "http://www.blogger.com/profile-find.g?q=" + searchTerms + "&t=i"; }
		break;

	// Build up the URL for a web search
	case "blogs":
	default:
		if(isEmpty) { URL = "http://www.blogger.com/"; }
		else        { URL = "http://www.google.com/search?hl=en&lr=&q=site%3Ablogspot.com+" + searchTerms; }
		break;
	}
	
	// Load the URL in the browser window using the BBar_LoadURL function
	BBar_LoadURL(URL);
}

function BBar_TrimString(string)
{
	// Return empty if nothing was passed in
	if (!string) return "";
	
	// Efficiently replace any leading or trailing whitespace
	var value = string.replace(/^\s+/, '');
	value = string.replace(/\s+$/, '');
	
	// Replace any multiple whitespace characters with a single space
	value = value.replace(/\s+/g, ' ');
	
	// Return the altered string
	return value;
}

function BBar_ConvertTermsToURI(terms)
{
	// Split up the search terms based on the space character
	var termArray = new Array();
	termArray = terms.split(" ");
	var result = "";

	// Loop through the search terms, building up the result string
	for(var i=0; i<termArray.length; i++)
	{
		if(i > 0) { result += "+"; }
		
		// Call the built-in function encodeURIComponent() to clean up
		// this search term (making it safe for use in a URL)
		result += encodeURIComponent(termArray[i]);
	}

	// Return the result
	return result;
}

function BBar_LoadURL(URL)
{
	// Set the document's location to the incoming URL
	window._content.document.location = URL;
	
	// Make sure we get the focus
	window.content.focus();
}


